Acquire point information

 

‘2017年5月19日’

Rhinocerosで描かれた二点のpoint情報を座標で表示、さらに二点間の距離を表示する。

以下。

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs
#Rhinoのモジュールをインポートしrsとする

point1 = rs.GetObject("Select first point",1)
#点の情報を取得、point1とする
point2 = rs.GetObject("Select second point",1)
#点の情報を取得、point2とする

p1 = rs.PointCoordinates(point1)
#点の情報からその座標を取り出し、p1とする
p2 = rs.PointCoordinates(point2)
#点の情報からその座標を取り出し、p2とする
dist = rs.Distance(point1,point2)
#point1とpoint2の距離を測り、その値をdistとする

print p1
#p1の位置の情報を表示
print p2
#p2の位置の情報を表示
print dist
#dist、距離を表示

こんな感じです。

一つ一つ確認する。

import rhinoscriptsyntax as rs

rhinoscriptsyntax はモジュールで、Rhinocerosで用意されている関数を使うためには必ず必要。
関数は以下に出てきます。

point1 = rs.GetObject("Select first point",1)

出てきました、関数、GetObject()が関数です、これはRhinoモジュールなので関数の前にrs.がつきます。決まりです。
GetObject()の関数は、Rhinoに描かれている点や線などなど(オブジェクト)から(点、線が存在する?)情報を取得する。
GetObject()の()内は引数(パラメータ)と呼ばれていて、返り値を返してくれる。その辺はこのサイトが分かりやすそうです。ざっと。
つまりGetObject()によって描かれた点をpoint1とする(格納する)となる。
※()内の””はコマンドラインに表示されるものです、1は点を意味しているものです。
7行目も同様。

次、

p1 = rs.PointCoordinates(point1)

PointCoordinates()も関数、これは座標を返えしてくれる関数です。上でみたpoint1をパラメータとしているためpoint1の座標が返されるってことになります。
12行目も同様

次、

dist = rs.Distance(point1,point2)

point1とpoint2にはこの時点でそれぞれに点が格納されており、そのDistance()関数はパラメータ二つの距離を返し、distに格納している。

次、

print p1

p1の座標を表示してくれます。
19行目も同様

最後に

print dist

distに格納した二点の距離を表示してくれます。

こんな感じです。